USERADD(8)

NAME
useradd - erstellt einen neuen Benutzer oder aktualisiert die Standardwerte für neue Benutzer

ÜBERSICHT

useradd [Optionen] ANMELDENAME

useradd -D

useradd -D [Optionen]

BESCHREIBUNG

When invoked without the -D option, the useradd command creates a new user account using the values specified on the command line plus the default values from the system. Depending on command line options, the useradd command will update system files and may also create the new user's home directory and copy initial files.

By default, a group will also be created for the new user (see -g, -N, -U, and USERGROUPS_ENAB).

OPTIONEN

The options which apply to the useradd command are:

--badname
    Allow names that do not conform to standards.

-b, --base-dir BASE_DIR
    The default base directory for the system if -d HOME_DIR is not specified. BASE_DIR is concatenated with the account name to define the home directory. If the -m option is not used, BASE_DIR must exist.

    If this option is not specified, useradd will use the base directory specified by the HOME variable in /etc/default/useradd, or /home by default.

-c, --comment COMMENT
    Eine beliebige Zeichenkette. Dies ist für gewöhnlich eine kurze Beschreibung des Logins und wird im Moment im Feld für den vollständigen Namen des Benutzers gespeichert.

-d, --home-dir HOME_DIR
    The new user will be created using HOME_DIR as the value for the user's login directory. The default is to append the LOGIN name to BASE_DIR and use that as the login directory name. The directory HOME_DIR does not have to exist but will not be created if it is missing.

-D, --defaults
    Lesen Sie dazu unten den Abschnitt »Die Standardwerte verändern«.

-e, --expiredate EXPIRE_DATE
    The date on which the user account will be disabled. The date is specified in the format YYYY-MM-DD.

    If not specified, useradd will use the default expiry date specified by the EXPIRE variable in /etc/default/useradd, or an empty string (no expiry) by default.

-f, --inactive INACTIVE
    Die Anzahl von Tagen nach Ablaufen des Passworts bis das Konto dauerhaft deaktiviert wird. Ein Wert von 0 deaktiviert das Konto, sobald das Passwort abläuft. Ein Wert von -1 schaltet diese Funktion ab.

    If not specified, useradd will use the default inactivity period specified by the INACTIVE variable in /etc/default/useradd, or -1 by default.

-g, --gid GROUP
    Der Name oder die Nummer der anfänglichen Anmeldegruppe des Benutzers. Der Gruppenname muss existieren. Die Gruppenzahl muss auf eine bereits vorhandene Gruppe verweisen.

    If not specified, the behavior of useradd will depend on the USERGROUPS_ENAB variable in /etc/login.defs. If this variable is set to yes (or -U/--user-group is specified on the command line), a group will be created for the user, with the same name as her loginname. If the variable is set to no (or -N/--no-user-group is specified on the command line), useradd will set the primary group of the new user to the value specified by the GROUP variable in /etc/default/useradd, or 100 by default.

-G, --groups GROUP1[,GROUP2,...[,GROUPN]]]
    A list of supplementary groups which the user is also a member of. Each group is separated from the next by a comma, with no intervening whitespace. The groups are subject to the same restrictions as the group given with the -g option. The default is for the user to belong only to the initial group.

-h, --help
    zeigt die Hilfe an und beendet das Programm

-k, --skel SKEL_DIR
    The skeleton directory, which contains files and directories to be copied in the user's home directory, when the home directory is created by useradd.

    This option is only valid if the -m (or --create-home) option is specified.

    If this option is not set, the skeleton directory is defined by the SKEL variable in /etc/default/useradd or, by default, /etc/skel.

    Soweit möglich, werden die ACLs und erweiterten Attribute kopiert.

-K, --key KEY=VALUE
    Overrides /etc/login.defs defaults (UID_MIN, UID_MAX, UMASK, PASS_MAX_DAYS and others). Example: -K PASS_MAX_DAYS=-1 can be used when creating system account to turn off password aging, even though system account has no password at all. Multiple -K options can be specified, e.g.: -K UID_MIN=100 -K UID_MAX=499

-l, --no-log-init
    Fügt den Benutzer nicht zu den Datenbanken lastlog und faillog hinzu.

    By default, the user's entries in the lastlog and faillog databases are reset to avoid reusing the entry from a previously deleted user.

-m, --create-home
    Create the user's home directory if it does not exist. The files and directories contained in the skeleton directory (which can be defined with the -k option) will be copied to the home directory.

    By default, if this option is not specified and CREATE_HOME is not enabled, no home directories are created.

-M, --no-create-home
    Do no create the user's home directory, even if the system wide setting from /etc/login.defs (CREATE_HOME) is set to yes.

-N, --no-user-group
    Do not create a group with the same name as the user, but add the user to the group specified by the -g option or by the GROUP variable in /etc/default/useradd.

    The default behavior (if the -g, -N, and -U options are not specified) is defined by the USERGROUPS_ENAB variable in /etc/login.defs.

-o, --non-unique
    Erlaubt das Erstellen eines Benutzerkontos mit einer schon vergebenen (nicht eindeutigen) UID.

    This option is only valid in combination with the -u option.

-p, --password PASSWORD
    The encrypted password, as returned by crypt(3). The default is to disable the password.

    Note: This option is not recommended because the password (or encrypted password) will be visible by users listing the processes.

    Sie sollten sicherstellen, dass das Passwort den Passwortrichtlinien des Systems entspricht.

-r, --system
    erstellt ein Systemkonto

    System users will be created with no aging information in /etc/shadow, and their numeric identifiers are chosen in the SYS_UID_MIN-SYS_UID_MAX range, defined in /etc/login.defs, instead of UID_MIN-UID_MAX (and their GID counterparts for the creation of groups).

    Note that useradd will not create a home directory for such a user, regardless of the default setting in /etc/login.defs (CREATE_HOME). You have to specify the -m options if you want a home directory for a system account to be created.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory.

-P, --prefix PREFIX_DIR
    Apply changes in the PREFIX_DIR directory and use the configuration files from the PREFIX_DIR directory. This option does not chroot and is intended for preparing a cross-compilation target. Some limitations: NIS and LDAP users/groups are not verified. PAM authentication is using the host files. No SELINUX support.

-s, --shell SHELL
    The name of the user's login shell. The default is to leave this field blank, which causes the system to select the default login shell specified by the SHELL variable in /etc/default/useradd, or an empty string by default.

-u, --uid UID
    The numerical value of the user's ID. This value must be unique, unless the -o option is used. The value must be non-negative. The default is to use the smallest ID value greater than or equal to UID_MIN and greater than every other user.

    See also the -r option and the UID_MAX description.

-U, --user-group
    erstellt eine Gruppe mit dem gleichen Name wie der Benutzer und fügt diesen der Gruppe hinzu

    The default behavior (if the -g, -N, and -U options are not specified) is defined by the USERGROUPS_ENAB variable in /etc/login.defs.

-Z, --selinux-user SEUSER
    Der SELinux-Benutzer für den Benutzer nach seiner Anmeldung. Standardmäßig bleibt dieses Feld leer und es wird dem System überlassen, den SELinux-Benutzer zu bestimmen.

  Die Standardwerte verändern

When invoked with only the -D option, useradd will display the current default values. When invoked with -D plus other options, useradd will update the default values for the specified options. Valid default-changing options are:

-b, --base-dir BASE_DIR
    The path prefix for a new user's home directory. The user's name will be affixed to the end of BASE_DIR to form the new user's home directory name, if the -d option is not used when creating a new account.

    This option sets the HOME variable in /etc/default/useradd.

-e, --expiredate EXPIRE_DATE
    das Datum, an dem das Benutzerkonto abgeschaltet wird

    This option sets the EXPIRE variable in /etc/default/useradd.

-f, --inactive INACTIVE
    die Anzahl von Tagen nach dem Ablaufen des Passworts bis das Konto deaktiviert wird

    This option sets the INACTIVE variable in /etc/default/useradd.

-g, --gid GROUP
    The group name or ID for a new user's initial group (when the -N/--no-user-group is used or when the USERGROUPS_ENAB variable is set to no in /etc/login.defs). The named group must exist, and a numerical group ID must have an existing entry.

    This option sets the GROUP variable in /etc/default/useradd.

-s, --shell SHELL
    der Name der Anmelde-Shell des neuen Benutzers

    This option sets the SHELL variable in /etc/default/useradd.

ANMERKUNGEN

The system administrator is responsible for placing the default user files in the /etc/skel/ directory (or any other skeleton directory specified in /etc/default/useradd or on the command line).

WARNUNGEN

Sie dürfen einen Benutzer nicht einer NIS- oder LDAP-Gruppe hinzufügen. Dies muss auf dem entsprechenden Server durchgeführt werden.

Similarly, if the username already exists in an external user database such as NIS or LDAP, useradd will deny the user account creation request.

Benutzernamen müssen mit einem Kleinbuchstaben oder einem Unterstrich beginnen. Sie dürfen nur Kleinbuchstaben, Zahlen, Unterstriche oder Gedankenstriche enthalten. Sie können mit einem Dollarzeichen enden. Als regulärer Ausdruck: [a-z_][a-z0-9_-]*[$]?

Benutzernamen dürfen nur bis zu 32 Zeichen lang sein.

KONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

CREATE_HOME (boolean)
    bestimmt, ob standardmäßig ein Home-Verzeichnis für neue Benutzer erstellt werden soll

    Diese Einstellung trifft nicht auf Systembenutzer zu. Sie kann auf der Befehlszeile überschrieben werden.

GID_MAX (number), GID_MIN (number)
    Range of group IDs used for the creation of regular groups by useradd, groupadd, or newusers.

    The default value for GID_MIN (resp. GID_MAX) is 1000 (resp. 60000).

HOME_MODE (number)
    The mode for new home directories. If not specified, the UMASK is used to create the mode.

    useradd and newusers use this to set the mode of the home directory they create.

LASTLOG_UID_MAX (number)
    Highest user ID number for which the lastlog entries should be updated. As higher user IDs are usually tracked by remote user identity and authentication services there is no need to create a huge sparse lastlog file for them.

    No LASTLOG_UID_MAX option present in the configuration means that there is no user ID limit for writing lastlog entries.

MAIL_DIR (string)
    Das Verzeichnis des Mail-Spools. Diese Angabe wird benötigt, um die Mailbox zu bearbeiten, nachdem das entsprechende Benutzerkonto verändert oder gelöscht wurde. Falls nicht angegeben, wird ein Standard verwendet, der beim Kompilieren festgelegt wurde.

MAIL_FILE (string)
    Legt den Ort der Mail-Spool-Dateien eines Benutzers relativ zu seinem Home-Verzeichnis fest.

The MAIL_DIR and MAIL_FILE variables are used by useradd, usermod, and userdel to create, move, or delete the user's mail spool.

If MAIL_CHECK_ENAB is set to yes, they are also used to define the MAIL environment variable.

MAX_MEMBERS_PER_GROUP (number)
    Maximum members per group entry. When the maximum is reached, a new group entry (line) is started in /etc/group (with the same name, same password, and same GID).

    Der Standardwert ist 0, was zur Folge hat, dass die Anzahl der Mitglieder einer Gruppe nicht begrenzt ist.

    Diese Fähigkeit (der aufgeteilten Gruppe) ermöglicht es, die Zeilenlänge in der Gruppendatei zu begrenzen. Damit kann sichergestellt werden, dass die Zeilen für NIS-Gruppen nicht länger als 1024 Zeichen sind.

    Falls Sie eine solche Begrenzung benötigen, können Sie 25 verwenden.

    Hinweis: Aufgeteilte Gruppen werden möglicherweise nicht von allen Werkzeugen unterstützt, selbst nicht aus der Shadow-Werkzeugsammlung. Sie sollten diese Variable nur setzen, falls Sie zwingend darauf angewiesen sind.

PASS_MAX_DAYS (number)
    Die maximale Anzahl von Tagen, für die ein Passwort verwendet werden darf. Wenn das Passwort älter ist, wird ein Wechsel des Passworts erzwungen. Falls nicht angegeben, wird -1 angenommen (was zur Folge hat, dass diese Beschränkung abgeschaltet ist).

PASS_MIN_DAYS (number)
    Die Mindestanzahl von Tagen, bevor ein Wechsel des Passworts zugelassen wird. Ein vorheriger Versuch, das Passwort zu ändern, wird abgelehnt. Falls nicht angegeben, wird -1 angenommen (was zur Folge hat, dass diese Beschränkung abgeschaltet ist).

PASS_WARN_AGE (number)
    Die Anzahl von Tagen, an denen der Benutzer vorgewarnt wird, bevor das Passwort verfällt. Eine Null bedeutet, dass eine Warnung nur am Tag des Verfalls ausgegeben wird. Ein negativer Wert bedeutet, dass keine Vorwarnung erfolgt. Falls nicht angegeben, wird keine Vorwarnung ausgegeben.

SUB_GID_MIN (number), SUB_GID_MAX (number), SUB_GID_COUNT (number)
    If /etc/subuid exists, the commands useradd and newusers (unless the user already have subordinate group IDs) allocate SUB_GID_COUNT unused group IDs from the range SUB_GID_MIN to SUB_GID_MAX for each new user.

    The default values for SUB_GID_MIN, SUB_GID_MAX, SUB_GID_COUNT are respectively 100000, 600100000 and 65536.

SUB_UID_MIN (number), SUB_UID_MAX (number), SUB_UID_COUNT (number)
    If /etc/subuid exists, the commands useradd and newusers (unless the user already have subordinate user IDs) allocate SUB_UID_COUNT unused user IDs from the range SUB_UID_MIN to SUB_UID_MAX for each new user.

    The default values for SUB_UID_MIN, SUB_UID_MAX, SUB_UID_COUNT are respectively 100000, 600100000 and 65536.

SYS_GID_MAX (number), SYS_GID_MIN (number)
    Range of group IDs used for the creation of system groups by useradd, groupadd, or newusers.

    The default value for SYS_GID_MIN (resp. SYS_GID_MAX) is 101 (resp. GID_MIN-1).

SYS_UID_MAX (number), SYS_UID_MIN (number)
    Range of user IDs used for the creation of system users by useradd or newusers.

    The default value for SYS_UID_MIN (resp. SYS_UID_MAX) is 101 (resp. UID_MIN-1).

UID_MAX (number), UID_MIN (number)
    Range of user IDs used for the creation of regular users by useradd or newusers.

    The default value for UID_MIN (resp. UID_MAX) is 1000 (resp. 60000).

UMASK (number)
    Die Bit-Gruppe, welche die Rechte von erstellten Dateien bestimmt, wird anfänglich auf diesen Wert gesetzt. Falls nicht angegeben, wird sie auf 022 gesetzt.

    useradd and newusers use this mask to set the mode of the home directory they create if HOME_MODE is not set.

    It is also used by login to define users' initial umask. Note that this mask can be overridden by the user's GECOS line (if QUOTAS_ENAB is set) or by the specification of a limit with the K identifier in limits(5).

USERGROUPS_ENAB (boolean)
    Erlaubt Benutzern, die nicht Root sind, die Umask-Gruppen-Bits auf ihre Umask-Bits zu setzen (Beispiel: 022 -> 002, 077 -> 007), falls die UID mit der GID identisch ist sowie der Benutzername mit dem Gruppennamen übereinstimmt.

    If set to yes, userdel will remove the user's group if it contains no more members, and useradd will create by default a group with the name of the user.

DATEIEN

/etc/passwd
    Informationen zu den Benutzerkonten

/etc/shadow
    verschlüsselte Informationen zu den Benutzerkonten

/etc/group
    Informationen zu den Gruppenkonten

/etc/gshadow
    sichere Informationen zu den Gruppenkonten

/etc/default/useradd
    Standardwerte für die Erstellung eines Kontos

/etc/skel/
    Verzeichnis, das die Standarddateien enthält

/etc/subgid
    Per user subordinate group IDs.

/etc/subuid
    Per user subordinate user IDs.

/etc/login.defs
    Konfiguration der Shadow-Passwort-Werkzeugsammlung

RÜCKGABEWERTE

The useradd command exits with the following values:

0
    success

1
    can't update password file

2
    invalid command syntax

3
    invalid argument to option

4
    UID already in use (and no -o)

6
    specified group doesn't exist

9
    username already in use

10
    can't update group file

12
    can't create home directory

14
    can't update SELinux user mapping

SIEHE AUCH

chfn(1), chsh(1), passwd(1), crypt(3), groupadd(8), groupdel(8), groupmod(8), login.defs(5), newusers(8), subgid(5), subuid(5), userdel(8), usermod(8).